<mat-card *ngIf="gameLog && screenWidth">
  <mat-card-title translate>gameRoom.gameLog</mat-card-title>
    <mat-divider></mat-divider>

  <mat-card-content>
    <ul class="result-list">
      <li *ngFor="let entry of gameLog.entries | reverse">
        <mat-expansion-panel *ngIf="screenWidth === ScreenWidthSize.SMALL">
          <mat-expansion-panel-header class="entry-container">
            <div class="entry-description--small">
              <span class="time">{{entry.time | date:"HH:mm:ss" }}</span>
              <span class="nickname">
                {{entry.player.nickname}}
                <ng-container *ngIf="entry.player.nickname === gameMaster.nickname">
                  ({{'gameMaster.acronym' | translate }})
                </ng-container>
              </span>
            </div>

            <mat-list class="item--small">

              <mat-list-item *ngFor="let roll of entry.rolls.results" class="roll">
                <span class="dice dice--max">{{roll.max}}</span>
                <mat-icon class="material-icons">chevron_right</mat-icon>
                <span class="dice dice--result">{{roll.result}}</span>
              </mat-list-item>

            </mat-list>

          </mat-expansion-panel-header>
          <ng-template matExpansionPanelContent>
            <mat-list *ngIf="entry.rolls.results | diceTotals as totals" class="totals">
              <mat-list-item *ngFor="let total of totals.dices | keyvalue">
                &#x3a3;
                <sub class="sub-dice">{{total.key}} </sub>
                =
                <span> {{total.value}}</span>
              </mat-list-item>

              <mat-list-item>
                <span>&#x3a3;=</span>
                <span class="entry-totals entry-totals--sum">{{totals.total}}</span>
              </mat-list-item>

            </mat-list>
          </ng-template>
        </mat-expansion-panel>

        <div class="entry-container entry-container--medium" *ngIf="screenWidth !== ScreenWidthSize.SMALL">
          <div class="entry-description">
            <span class="time" matTooltip="{{entry.time | date:'HH:mm:ss dd/MM/yy' }}"
              matTooltipClass="tooltip-info">{{entry.time | date:"HH:mm:ss" }}
            </span>
            <span class="nickname">
              {{entry.player.nickname}}
              <ng-container *ngIf="entry.player.nickname === gameMaster.nickname">
                ({{'gameMaster.acronym' | translate }})
              </ng-container>
            </span>
          </div>

          <mat-list class="item">

            <mat-list-item *ngFor="let roll of entry.rolls.results" class="roll">
              <span class="dice dice--max">{{roll.max}}</span>
              <mat-icon class="material-icons">chevron_right</mat-icon>
              <span class="dice dice--result">{{roll.result}}</span>
            </mat-list-item>

          </mat-list>

          <mat-list *ngIf="entry.rolls.results | diceTotals as totals" class="totals">
            <mat-list-item *ngFor="let total of totals.dices | keyvalue">
              &#x3a3;
              <sub class="sub-dice">{{total.key}} </sub>
              =
              <span> {{total.value}}</span>
            </mat-list-item>

            <mat-list-item>
              <span>&#x3a3;=</span>
              <span class="entry-totals entry-totals--sum">{{totals.total}}</span>
            </mat-list-item>

          </mat-list>

        </div>
      </li>
    </ul>
  </mat-card-content>
</mat-card>